Skip to main content
POST
Create organization

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Body

application/json
name
string
required
Required string length: 2 - 100
slug
string
required
Required string length: 3 - 48
Pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$

Response

Organization created

org_id
string
name
string
slug
string
billing_account_id
string | null

Stripe billing account. NULL for personal orgs (no billing account provisioned).

owner_user_id
string | null
billing_email
string | null
company_name
string | null
member_count
integer
role
string

The caller's role in this org (membership-scoped listings only).

is_owner
boolean

Whether the caller owns this org (membership-scoped listings only).

is_personal
boolean

Whether this is the caller's auto-provisioned personal org.

avatar_url
string | null
accepted_at
string<date-time> | null

When the caller accepted membership (membership-scoped listings only).

created_at
string<date-time>
updated_at
string<date-time>